function period_spring
%19.10.14
clc;
%function calculates periods of oscillations dependence on parameters \beta and \gamma by mechanical method, plots it on coloured graph with specific formatting ans saves it into files with expansions .eps and .pdf
    N=50; %number of points
    
    a=50;  %\alpha
    b=linspace(-3, 2, N);  %array of powers of 10  %\beta
    ga=linspace(-3, 0, N);  %array of powers of 10   %\gamma
    D=10;  %\Delta
    s=1;   %\sigma

    syms x y positive
%   uncomment necessary model equations

    %design1
        %name='design1';
        %f=D*((10.^b)*(1+a*x^2)/(1+x^2+s*y^2)-x);
        %g=D*(10.^ga)*(1+a*x^2)/(1+x^2)-y;
    
     %design3
		%name='design3'
		%f=D*((10.^b)*(1+a*x^2)/(1+x^2)/(1+s*y^2)-x);
		%g=D*(10.^ga)*(1+a*x^2)/(1+x^2)-y;
       
      
      %equilibrium points search
      xeq=zeros(N);
      yeq=xeq;
      for bi=1:N
          xx=f(bi);
          for gi=1:N
              yy=g(gi);
              peq=vpasolve([xx==0, yy==0], [x, y]);   
              x1=peq.x;
              y1=peq.y;
              xeq(bi, gi)=x1(1);
              yeq(bi, gi)=y1(1);
          end
      end
      save(horzcat('xeq', name, num2str(a), '_', num2str(D), '_', num2str(s), '.mat'), 'xeq');
      save(horzcat('yeq', name, num2str(a), '_', num2str(D), '_', num2str(s), '.mat'), 'yeq');
 
     
%     load(horzcat('xeq', name, num2str(a), '_', num2str(D), '_', num2str(s), '.mat'), 'xeq');
%     load(horzcat('yeq', name, num2str(a), '_', num2str(D), '_', num2str(s), '.mat'), 'yeq');
     
     T=NaN(N);

     
    for bi=1:length(b)
         for gi=1:length(ga)
             fx=diff(f(bi), x);
             fy=diff(f(bi), y);
             gx=diff(g(gi), x);
             gy=diff(g(gi), y);
			 %%%%NOTICE!!! Works without 'eval' in MATLAB versions earlier then R2013 
             a=eval(subs(fx^2+fy*gx, [x, y], [xeq(bi, gi), yeq(bi, gi)]));
             b=eval(subs(fy*(fx+gy), [x, y], [xeq(bi, gi), yeq(bi, gi)]));
             c=eval(subs(gx*(fx+gy), [x, y], [xeq(bi, gi), yeq(bi, gi)]));
             d=eval(subs(gx*fy+gy^2, [x, y], [xeq(bi, gi), yeq(bi, gi)]));
             if ~sum(sum(isnan([a b; c d])))%&&(abs(b-c)/(b+c))<1e-1
                
                omegas=eig([-a -b; -c -d], 'nobalance');

                om1r=real(sqrt(omegas(1)))
                om2r=real(sqrt(omegas(2)))
                
                om1i=imag(sqrt(omegas(1)));
                om2i=imag(sqrt(omegas(2)));
                if (om1i<om1r*10)&&(om2i<om2r*10)
                        %T(bi, gi)=lcm_real(2*pi/om1r, 2*pi/om2r);
                        T(bi, gi)=2*pi/om1r;
                        
                    
                 end
             end
             
         end
     end

    b=linspace(-3, 2, N);  %array of powers of 10  %\beta
    ga=linspace(-3, 0, N);  %array of powers of 10   %\gamma  
   
    save(horzcat(name, '_T_spring.mat'), 'T')
    %load(horzcat(name, '_T_spring.mat'), 'T')
    figure
		surf(b, ga, log(T')/log(10));
		set(gca, 'FontSize', 15);
        xlabel('lg \beta', 'FontSize', 15);
        ylabel('lg \gamma', 'FontSize', 15);
        view(0, 90);
        title('lg T', 'FontSize', 15);
        colorbar('FontSize', 15);
		%Uncomment line below for suitable colormap range
        %caxis([-0.3 1.2])
		%Uncomment line below, if you want graph in gray colormap
        %colormap gray
    
	saveas(gcf, horzcat('results\', name, '.pdf'), 'pdf')   
	saveas(gcf, horzcat('results\', name, '.eps'), 'eps') 
end
           
    
    
    