function period_mechanical_others
%19.10.14
%function calculates periods of oscillations dependence on parameters \beta and \gamma by mechanical method, plots it on coloured graph with specific formatting ans saves into .eps and .pdf files
clc;
  N=50; %number of points

% uncomment necessary model: parameters and equations
    
    %figure(7)
    %a=50;  %\alpha
    %ba=linspace(-1, 4, N);  %array of powers of 10  %\beta
    %ga=linspace(-1, 2, N);  %array of powers of 10   %\gamma
    %D=1;  %\Delta
    %s=1;   %\sigma
    %n=3;
   
    %7B
    %name='7b'
    %m=2;
    %7C
    %name='7c'
    %m=3;
    
    %syms x y positive

    %f=D*((10.^ba)*(1+a*x^n)/(1+x^n)/(1+s*y^m)-x);
    %g=D*(10.^ga)*(1+a*x^n)/(1+x^n)-y; 



%     %figure(10)
      %name='10'
      %a=50;  %\alpha
      %ba=linspace(-1, 5, N);  %array of powers of 10  %\beta
      %ga=linspace(-1, 5, N);  %array of powers of 10   %\gamma
      %D=4;  %\Delta
      %s=1;   %\sigma
      %m=2;
      %n=2;
      %syms x y positive
% 
     %f=D*((10.^ba)*(1+a*x^n)/(1+x^n+s*y^m)-x);
     %g=D*(10.^ga)*(1+a*x^n)/(1+x^n+s*y^m)-y; 

	%to load EP coordinates, saved in 'points_others.m'
     load(horzcat('pnts', name, 'x.mat'), 'xeq');
     load(horzcat('pnts', name, 'y.mat'), 'yeq');
 
     T=NaN(N);
   
         
    for bi=1:length(ba)
         for gi=1:length(ga)
             fx=diff(f(bi), x);
             fy=diff(f(bi), y);
             gx=diff(g(gi), x);
             gy=diff(g(gi), y);
			 %%%%NOTICE!!! Works without 'eval' in MATLAB versions earlier then R2013 
             a=eval(subs(fx^2+fy*gx, [x, y], [xeq(bi, gi), yeq(bi, gi)]));
             b=eval(subs(fy*(fx+gy), [x, y], [xeq(bi, gi), yeq(bi, gi)]));
             c=eval(subs(gx*(fx+gy), [x, y], [xeq(bi, gi), yeq(bi, gi)]));
             d=eval(subs(gx*fy+gy^2, [x, y], [xeq(bi, gi), yeq(bi, gi)]));
             if ~sum(sum(isnan([a b; c d])))%&&(abs(b-c)/(b+c))<1e-1
                
                omegas=eig([-a -b; -c -d], 'nobalance');

                om1r=real(sqrt(omegas(1)))
                om2r=real(sqrt(omegas(2)))
                
                om1i=abs(imag(sqrt(omegas(1))));
                om2i=abs(imag(sqrt(omegas(2))));
                if (om1i<om1r/10)&&(om2i<om2r/10)
                        %T(bi, gi)=lcm_real(2*pi/om1r, 2*pi/om2r);
                        T(bi, gi)=2*pi/om1r;
                        
                    
                end
             end
             
         end
     end

    
    save(horzcat( name, 'T_spring.mat'), 'T');
  
    %load(horzcat( name, 'T_spring.mat'), 'T');
    
    figure
    
    
    surf(ba, ga, log(T')/log(10));
		set(gca, 'FontSize', 15);
        xlabel('lg \beta', 'FontSize', 15);
        ylabel('lg \gamma', 'FontSize', 15);
        view(0, 90);
        title('lg T', 'FontSize', 15);
        colorbar('FontSize', 15);
		%Uncomment line below for suitable colormap range
        %caxis([0.4 8]);
		%Uncomment line below, if you want graph in gray colormap
        %colormap gray
    
	saveas(gcf, horzcat('results\', name, '.pdf'), 'pdf')   
	saveas(gcf, horzcat('results\', name, '.eps'), 'eps') 
    
end
