function period_eigen_others
%28.09.14
clc;
%function calculates periods of oscillations dependence on parameters \beta and \gamma by eigenvalues method, plot it on coloured graph with specific formatting ans saves it into .eps and .pdf files
    N=50; %number of points

% uncomment necessary model: parameters and equations

%    %figure(7)
%  a=50;  %\alpha
%  b=linspace(-1, 4, N);  %array of powers of 10  %\beta
%  g=linspace(-1, 2, N);  %array of powers of 10   %\gamma
%  D=1;  %\Delta
%  s=1;   %\sigma
%  n=3;

   
   
%     %7B
%    name='7b'
%    m=2;
%     %7C
%    name='7c';
%    m=3;
    
%    syms x y positive

%    xdot=D*((10.^b)*(1+a*x^n)/(1+x^n)/(1+s*y^m)-x);
%    ydot=D*(10.^g)*(1+a*x^n)/(1+x^n)-y; 



%    %figure(10)
%    name='10';
%    a=50;  %\alpha
%    b=linspace(-1, 5, N);  %array of powers of 10  %\beta
%    g=linspace(-1, 5, N);  %array of powers of 10   %\gamma
%    D=4;  %\Delta
%    s=1;   %\sigma
%    m=2;
%    n=2;
%   syms x y positive

%   xdot=D*((10.^b)*(1+a*x^n)/(1+x^n+s*y^m)-x);
%   ydot=D*(10.^g)*(1+a*x^n)/(1+x^n+s*y^m)-y; 


	%to load EP coordinates, saved in 'points_others.m'
     load(horzcat('pnts', name, 'x.mat'), 'xeq');
     load(horzcat('pnts', name, 'y.mat'), 'yeq');
     
      T=NaN(N);
     v=[x, y];
     for bi=1:N
         for gi=1:N
             f=[xdot(bi); ydot(gi)];
             Jac=jacobian(f, v);
             J=eval(subs(Jac, {x, y}, {xeq(bi, gi), yeq(bi, gi)}));
             if (~isnan(J))
                 eigen=(eig(J, 'nobalance'));
                 if (imag(eigen(1))~=0)...
                         &&(real(eigen(1))<=0)&&(real(eigen(2))<=0)
                     T(bi, gi)=2*pi/abs(imag(eigen(1)));
                 end
             end
         end
     end
	 
    save(horzcat(name, '_T.mat'), 'T')
    %load(horzcat(name, '_T.mat'), 'T')
    figure
    surfc(b, g, log(T')/log(10));
    set(gca, 'FontSize', 15);
        xlabel('lg \beta', 'FontSize', 15);
        ylabel('lg \gamma', 'FontSize', 15);
        view(0, 90);
        title('lg T', 'FontSize', 15);
        colorbar('FontSize', 15);
		%Uncomment line below for suitable colormap range
        %caxis([0.4 1])
		%Uncomment line below, if you want graph in gray colormap
        %colormap gray
		
    saveas(gcf,  ['..\article\results_test\', name, '_eigen.eps'], 'eps')
	saveas(gcf,  ['..\article\results_test\', name, '_eigen.pdf'], 'pdf')
end